# Record Class ReplanPolicy.Ignore

java.lang.Object
java.lang.Record
com.google.adk.planner.goap.ReplanPolicy.Ignore

All Implemented Interfaces:
  `ReplanPolicy`

Enclosing interface:
  `ReplanPolicy`

public static record ReplanPolicy.Ignore() extends Record implements ReplanPolicy
Ignore failures and proceed with the remaining plan as-is.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface ReplanPolicy

  `ReplanPolicy.FailStop, ReplanPolicy.Ignore, ReplanPolicy.Replan`
  Modifier and Type
  Interface
  Description
  `static final record`
  `ReplanPolicy.FailStop`
  Stop immediately on failure with an error message.
  `static final record`
  `ReplanPolicy.Ignore`
  Ignore failures and proceed with the remaining plan as-is.
  `static final record`
  `ReplanPolicy.Replan`
  Attempt to recompute the remaining plan from current world state.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Ignore()`
  Creates an instance of a `Ignore` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Ignore

    public Ignore()
    Creates an instance of a `Ignore` record class.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.